// "Goggle" Suchmaschinen Simulator
//
// Cookies:  ss = Suchstring
//           rb = Radio Button
//           rc = Anzahl Fundstellen
//           sd = Suchdauer
//           es = sprache           (erweiterte Suche)
//           ef = format            (erweiterte Suche)
//           ez = zeit              (erweiterte Suche)
//           ep = position          (erweiterte Suche)
//           sq = Suchstring quoted (erweiterte Suche)
//           so = Suchstring mit OR (erweiterte Suche)
//           sn = negativer String  (erweiterte Suche)

//-----------------------------------------------------------
// General routine: SetCookie
//-----------------------------------------------------------
// SetCookie
// Andreas Fischer, 1.5.2000
// use like this:
// SetCookie(name, value , retpd, path, domain, secure!);

function SetCookie(name, value) {
  var argv    = SetCookie.arguments;
  var argc    = SetCookie.arguments.length;
  var retp    = (argc > 1) ? argv[2] : null;

  if(retp == null)
  var expires = null ;
  else
  {
    var expires = new Date() ;
    now = expires.getTime() ;
    then = now + retp*3600000 ;
    expires.setTime(then) ;
  }
  var path    = (argc > 2) ? argv[3] : null;
  var domain  = (argc > 3) ? argv[4] : null;
  var secure  = (argc > 4) ? argv[5] : false;
  string = name + "=" + escape(value)
     + ((expires == null) ? "" : ("; expires=" + expires.toGMTString()))
     + ((path == null) ? "" : ("; path=" + path))
     + ((domain == null) ? "" : ("; domain=" + domain))
     + ((secure == true) ? "; secure" : "");
  document.cookie = string ;
}
// End of General Routine


//-----------------------------------------------------------
// General routine: GetCookie
//-----------------------------------------------------------
// GetCookie
// Andreas Fischer, 1.5.2000
// This routine gets a cookie value
// use like this:
// GetCookie(name,dflt) ;
// where name is the name of the stored value (cookie Id)
//       dflt    a default value to be returned if no cookie exists

function GetCookie(name,dflt)
{
  var oval = dflt ;
  var arg  = name + "=";
  var argl = arg.length;
  var cool = document.cookie.length;
  var i    = 0;
  while(i < cool)
  {
    var offset = i + argl;
    if(document.cookie.substring(i, offset) == arg)
    {
      var ind = document.cookie.indexOf(";", offset);
      if(ind == -1)
      ind = document.cookie.length;
      oval = unescape(document.cookie.substring(offset, ind));
      break ;
    }
    else
    {
      i = document.cookie.indexOf(" ", i) + 1;
      if(i == 0)
      break;
    }
  }
  return oval;
}

// End of General Routine



// =====================================================================================
//	Auswertung des Such-Strings
// =====================================================================================


var begriffe = new Array("browser","anteil","grafik") ;
var kombinationen = new Array() ;

//                                 Schweiz                           Andere
//          such nach              Hits      Zeit      Antwortseite  Hits         Zeit      Antwortseite
kombinationen["jnn"] = new Array("3'800'000", "0.14",   "s100",      "1'040'000'000", "0.06",   "i100") ;
kombinationen["njn"] = new Array("1'380'000", "0.49",   "s010",          "5'660'000", "0.13",   "i010") ;
kombinationen["nnj"] = new Array("3'670'000", "0.05",   "s001",         "11'400'000", "0.06",   "i001") ;
kombinationen["jjn"] = new Array(   "19'300", "0.18",   "s110",            "500'000", "0.14",   "i110") ;
kombinationen["jnj"] = new Array(  "137'000", "0.57",   "s101",          "1'960'000", "0.22",   "i101") ;
kombinationen["njj"] = new Array(   "92'500", "0.17",   "s011",            "811'000", "0.19",   "i011") ;
kombinationen["jjj"] = new Array(      "561", "0.27",   "s111",             "64'800", "0.20",   "i111") ;
kombinationen["nnn"] = "s000" ;





function auswert(pfad) {

  // hier passiert die eigentliche Auswertung.
  // Dazu erstellen wir einen Suchstring, der sich aus folgenden Dingen zusammensetzt:
  // a) dem basic Suchstring, wie er auf der Einstiegsseite eingegeben werden kann
  // b) zustzlich ein String mit "aa OR bb [OR ...]" fr "irgendeines dieser Wrter"
  // c) zustzlich ein String mit "aaa bbb ccc ..."   fr "genau diese Wrter"
  // d) zustzlich ein String mit "-aaa -bbb ..."     fr "keines dieser Wrter"
  // e) zustzlich "Sprache:Deutsch"                  wenn eine Sprache gewhlt wurde
  // f) zustzlich "filetype:doc"                     fr Formate
  // g) zustzlich "zeitraum:n"                       Anzahl Monate
  // h) zustzlich "allintitle:", "allintext:", "allinurl:", "allinanchor:"
  //
  //

  var sprachen = new Array("irgendeine","Deutsch","Englisch","Franzsisch","Italienisch") ;
  var formate  = new Array("irgend","pdf","doc","xls","pps") ;
  var monate   = new Array(0,3,6,12) ;
  var position = new Array("irgendwo", "allintitle:", "allintext:", "allinurl:", "allinanchor:") ;

  if(pfad) startp = pfad + "/" ;
  else     startp = "" ;

  if(document.such.erweitert) {
    // Wir befinden uns auf der Eingabeseite fr erweiterte Suche.
    // a) basic Suchstring
    suchstring = document.such.e_alle.value.toLowerCase() ;
    // b) wrtliche Zustze
    if(document.such.e_genau.value != "") suchstring += '"' + document.such.e_genau.value + '"' ;
    // c) OR-Zustze
    if(document.such.e_irgend.value != "") {
      var work = document.such.e_irgend.value.toLowerCase() ;
      var anz  = work.split(" ") ;
      anz.sort() ;
      suchstring += ' "' + anz[0] + " " ;
      for(i=1 ; i<anz.length ; i++) {
        suchstring += "OR " + anz[i] + " " ;
      }
      suchstring = suchstring.substr(0,suchstring.length-1) + '"' ;
    }

    if(suchstring == "") {
      alert("Bitte geben Sie einen Suchbegriff an") ;
      document.such.e_alle.focus() ;
      return false ;
    }

    // d) negative Zustze
    if(document.such.e_ohne.value != "") {
      var work = document.such.e_ohne.value.toLowerCase() ;
      var anz  = work.split(" ") ;
      for(i=0 ; i<anz.length ; i++) {
        suchstring += " -" + anz[i] ;
      }
    }
    // e) Sprache
    if(document.such.e_sprache.value > 0) suchstring += " Sprache:" + sprachen[document.such.e_sprache.value] ;
    // f) Format
    if(document.such.e_format.value > 0) suchstring += " filetype:" + formate[document.such.e_format.value] ;
    // g) Zeitraum
    if(document.such.e_zeit.value > 0) suchstring += " zeitraum:" + monate[document.such.e_zeit.value] ;
    // h) Position
    if(document.such.e_position.value > 0) suchstring = position[document.such.e_position.value] + " " + suchstring ;
  }
  else {
    // wir befinden uns auf der Basic- oder einer Resultatseite
    suchstring = document.such.T1.value ;
    if(suchstring.indexOf(" OR ") > 0) {
      a = suchstring.toLowerCase().split(" or ") ;
      suchstring = a.join(" OR ") ;
    }
    if(suchstring == "") {
      alert("Bitte geben Sie einen Suchbegriff an") ;
      document.such.T1.focus() ;
      return false ;
    }
  }

  // alert("Sie suchen also nach " + suchstring) ;
  SetCookie("ss",suchstring,1,"/") ;
  suchstring = suchstring.toLowerCase() ;





  // welcher der Begriffe kommt denn vor?
  resultat = "" ;
  for(i=0 ; i<begriffe.length ; i++) {
    if(suchstring.indexOf(begriffe[i]) < 0) resultat += "n" ;
    else                                    resultat += "j" ;
    // alert("Durchgang " + i + '\nSuche nach "' + begriffe[i] + '"\nResultat: ' + resultat) ; 
  }


  // haben wir noch einen Radio Button angeklickt?
  var buttn = 0 ;
  if(document.such.wo[0].checked == true) buttn = 1 ;
  if(document.such.wo[1].checked == true) buttn = 2 ;
  if(document.such.wo[2].checked == true) buttn = 3 ;
  SetCookie("rb",buttn,1,"/") ;


  // alert("resultat ist " + resultat) ;
  if(kombinationen[resultat]) {
    if(buttn == 3 && kombinationen[resultat][2] == "gleich") buttn = 1 ;
    if(buttn < 3  && kombinationen[resultat][5] == "gleich") buttn = 3 ;
    if(buttn == 3) {
      SetCookie("rc",kombinationen[resultat][0],1,"/") ;	// Anzahl Fundstellen Schweiz
      SetCookie("sd",kombinationen[resultat][1],1,"/") ;	// Suchdauer Schweiz
      nexturl = kombinationen[resultat][2] ;
    }
    else {
      SetCookie("rc",kombinationen[resultat][3],1,"/") ;	// Anzahl Fundstellen international
      SetCookie("sd",kombinationen[resultat][4],1,"/") ;	// Suchdauer international
      nexturl = kombinationen[resultat][5] ;
    }
  }
  else {
    // alert("das ist keines der vorgesehenen Resultate.") ;
    nexturl = "s000" ;
  }
  window.location.href = startp + nexturl + ".html" ;
  return true ;
}


function inits() {
  document.such.T1.value = GetCookie("ss","") ;
  buttn = GetCookie("rb",1) ;
  document.such.wo[--buttn].checked = true ;
  return ;
}

function inite() {
  document.such.e_alle.value   = GetCookie("ss","") ;
  document.such.e_genau.value  = GetCookie("sq","") ;
  document.such.e_irgend.value = GetCookie("so","") ;
  document.such.e_ohne.value   = GetCookie("sn","") ;

  document.such.e_sprache[GetCookie("es",0)].selected = true ;
  document.such.e_format[GetCookie("ef",0)].selected = true ;
  document.such.e_zeit[GetCookie("ez",0)].selected = true ;
  document.such.e_position[GetCookie("ep",0)].selected = true ;
}

function bsuche(pfad) {
  // basic suche
  // - bernahme des Suchstrings
  // - richtigstellen der Cookies
  // - Auswertung aufrufen
  if(document.such.begriff.value == "") {
    alert("Bitte geben Sie einen Suchbegriff an") ;
    document.such.begriff.focus() ;
    return false ;
  }
  suchbegriff = document.such.begriff.value ;
  if(document.such.wo[1].checked == true) {
    SetCookie("es",1,1,"/") ;
    suchbegriff += " sprache:Deutsch" ;
  }
  else SetCookie("es",0) ;
 
  SetCookie("ss",document.such.begriff.value,1,"/") ;
  SetCookie("sq","",1,"/") ;
  SetCookie("so","",1,"/") ;
  SetCookie("sn","",1,"/") ;

  SetCookie("ef",0,1,"/") ;
  SetCookie("ez",0,1,"/") ;
  SetCookie("ep",0,1,"/") ;

  document.such.T1.value = suchbegriff ;
  auswert(pfad) ;
}

function esuche(pfad) {
  SetCookie("ss",document.such.e_alle.value,1,"/") ;
  SetCookie("sq",document.such.e_genau.value,1,"/") ;
  SetCookie("so",document.such.e_irgend.value,1,"/") ;
  SetCookie("sn",document.such.e_ohne.value,1,"/") ;

  SetCookie("es",document.such.e_sprache.value,1,"/") ;
  SetCookie("ef",document.such.e_format.value,1,"/") ;
  SetCookie("ez",document.such.e_zeit.value,1,"/") ;
  SetCookie("ep",document.such.e_position.value,1,"/") ;

  auswert(pfad) ;
}

function unwichtig() {
  alert("unwichtig\n\nDiesen Link brauchen Sie fr die Lsung der aktuellen Aufgabe nicht."
      + "\nEr hilft Ihnen nicht weiter.") ;
}
