//-----------------------------------------------------------
// General routine: SetCookie
//-----------------------------------------------------------
// SetCookie
// Andreas Fischer, 1.5.2000
// use like this:
// SetCookie(name, value , retpd, path, domain, secure!);

function SetCookie(name, value) {
  var argv    = SetCookie.arguments;
  var argc    = SetCookie.arguments.length;
  var retp    = (argc > 1) ? argv[2] : null;

  if(retp == null)
  var expires = null ;
  else
  {
    var expires = new Date() ;
    now = expires.getTime() ;
    then = now + retp*3600000 ;
    expires.setTime(then) ;
  }
  var path    = (argc > 2) ? argv[3] : null;
  var domain  = (argc > 3) ? argv[4] : null;
  var secure  = (argc > 4) ? argv[5] : false;
  string = name + "=" + escape(value)
     + ((expires == null) ? "" : ("; expires=" + expires.toGMTString()))
     + ((path == null) ? "" : ("; path=" + path))
     + ((domain == null) ? "" : ("; domain=" + domain))
     + ((secure == true) ? "; secure" : "");
  document.cookie = string ;
}
// End of General Routine


//-----------------------------------------------------------
// General routine: GetCookie
//-----------------------------------------------------------
// GetCookie
// Andreas Fischer, 1.5.2000
// This routine gets a cookie value
// use like this:
// GetCookie(name,dflt) ;
// where name is the name of the stored value (cookie Id)
//       dflt    a default value to be returned if no cookie exists

function GetCookie(name,dflt)
{
  var oval = dflt ;
  var arg  = name + "=";
  var argl = arg.length;
  var cool = document.cookie.length;
  var i    = 0;
  while(i < cool)
  {
    var offset = i + argl;
    if(document.cookie.substring(i, offset) == arg)
    {
      var ind = document.cookie.indexOf(";", offset);
      if(ind == -1)
      ind = document.cookie.length;
      oval = unescape(document.cookie.substring(offset, ind));
      break ;
    }
    else
    {
      i = document.cookie.indexOf(" ", i) + 1;
      if(i == 0)
      break;
    }
  }
  return oval;
}

// End of General Routine



//	Auswertung des Such-Strings
//


var begriffe = new Array("lara","schiwago","schivago","-croft") ;
var kombinationen = new Array() ;

//                                 Schweiz                           Andere
//             such nach           Hits      Zeit      Antwortseite  Hits         Zeit      Antwortseite
kombinationen["jnnn"] = new Array( "gleich", "",       "",             "534'000", "0.64",   "r_la") ;
kombinationen["njnn"] = new Array( "gleich", "",       "",              "23'000", "0.22",   "r_schi") ;
kombinationen["nnjn"] = new Array( "gleich", "",       "",              "23'000", "0.22",   "r_schi") ;
kombinationen["njjn"] = new Array( "gleich", "",       "",              "23'000", "0.22",   "r_schi") ;
kombinationen["jnnj"] = new Array( "gleich", "",       "",              "12'000", "0.13",   "r_lacro") ;
kombinationen["jjnn"] = new Array( "gleich", "",       "",               "9'500", "0.15",   "r_laschi") ;
kombinationen["jnjn"] = new Array( "gleich", "",       "",               "9'500", "0.15",   "r_laschi") ;
kombinationen["jjjn"] = new Array( "gleich", "",       "",               "9'500", "0.15",   "r_laschi") ;
kombinationen["jjnj"] = new Array( "gleich", "",       "",                 "320", "0.18",   "r_lacroschi") ;
kombinationen["jnjj"] = new Array( "gleich", "",       "",                 "320", "0.18",   "r_lacroschi") ;
kombinationen["jjjj"] = new Array( "gleich", "",       "",                 "320", "0.18",   "r_lacroschi") ;
kombinationen["nnnn"] = "s000" ;





function auswert(pfad) {
  
  if(pfad) startp = pfad + "/" ;
  else     startp = "" ;
  suchstring = document.such.T1.value.toLowerCase() ;

  if(suchstring == "") {
    alert("Bitte geben Sie einen Suchbegriff an") ;
    document.such.T1.focus() ;
    return false ;
  }
  // alert("Sie suchen also nach " + suchstring) ;


  SetCookie("ss",document.such.T1.value) ;



  // welcher der Begriffe kommt denn vor?
  resultat = "" ;
  for(i=0 ; i<begriffe.length ; i++) {
    if(suchstring.indexOf(begriffe[i]) < 0) resultat += "n" ;
    else                                    resultat += "j" ;
    // alert("Durchgang " + i + '\nSuche nach "' + begriffe[i] + '"\nResultat: ' + resultat) ; 
  }


  // haben wir noch einen Radio Button angeklickt?
  var buttn = 0 ;
  if(document.such.wo[0].checked == true) buttn = 1 ;
  if(document.such.wo[1].checked == true) buttn = 2 ;
  if(document.such.wo[2].checked == true) buttn = 3 ;
  SetCookie("rb",buttn) ;


  // alert("resultat ist " + resultat) ;
  if(kombinationen[resultat]) {
    if(buttn == 3 && kombinationen[resultat][2] == "gleich") buttn = 1 ;
    if(buttn < 3  && kombinationen[resultat][5] == "gleich") buttn = 3 ;
    if(buttn == 3) {
      SetCookie("rc",kombinationen[resultat][0]) ;	// Anzahl Fundstellen Schweiz
      SetCookie("sd",kombinationen[resultat][1]) ;	// Suchdauer Schweiz
      nexturl = kombinationen[resultat][2] ;
    }
    else {
      SetCookie("rc",kombinationen[resultat][3]) ;	// Anzahl Fundstellen international
      SetCookie("sd",kombinationen[resultat][4]) ;	// Suchdauer international
      nexturl = kombinationen[resultat][5] ;
    }
  }
  else {
    // alert("das ist keines der vorgesehenen Resultate.") ;
    nexturl = "s000" ;
  }
  window.location.href = startp + nexturl + ".html" ;
  return true ;
}


function inits() {
  document.such.T1.value = GetCookie("ss","") ;
  buttn = GetCookie("rb",1) ;
  document.such.wo[--buttn].checked = true ;
  return ;
}


function unwichtig() {
  alert("unwichtig\n\nDiesen Link brauchen Sie fr die Lsung der aktuellen Aufgabe nicht."
      + "\nEr hilft Ihnen nicht weiter.") ;
}
